const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const price_list_items = sequelize.define(
    'price_list_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

price: {
        type: DataTypes.DECIMAL,
      
      

      },

min_quantity: {
        type: DataTypes.INTEGER,
      
      

      },

valid_from: {
        type: DataTypes.DATE,
      
      

      },

valid_to: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  price_list_items.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity

































//end loop



    db.price_list_items.belongsTo(db.price_lists, {
      as: 'price_list',
      foreignKey: {
        name: 'price_listId',
      },
      constraints: false,
    });

    db.price_list_items.belongsTo(db.products, {
      as: 'product',
      foreignKey: {
        name: 'productId',
      },
      constraints: false,
    });

    db.price_list_items.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.price_list_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.price_list_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return price_list_items;
};


